[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.GetChildren

Executes the specified callback for all child Controls, and Components with no Parent.

## Declaration

Source position: forms.pp line 738

`public procedure TCustomForm.GetChildren(`
`Proc: TGetChildProc;`
`Root: TComponent`
`); override;`

## Arguments

`Proc` |  | The callback method.
`Root` |  | Components are enumerated only if Root is Self.

## Description

GetChildren is an overridden method in TCustomForm which executes the callback method specified in Proc for child Controls owned by Root, or Components which do not have a Parent. It calls the inherited method in TWinControl to execute the callback for Child controls owned by Root. GetChildren iterates over the values in Component, and calls Proc when the HasParent method for a given component returns False.

## See also

TWinControl.GetChildren |  | Calls the specified procedure for each child control with Root as the Owner.